Include Console.Inc

.CODE

Start:

    Invoke Main
    Invoke ExitProcess,0

Main Proc

Local hCon:HANDLE
Local hLib:HANDLE
Local numFonts:DWORD
Local lpSetCFont:DWORD
Local lpGetNumFonts:DWORD

    xor eax,eax
	
    invoke GetStdHandle,STD_ERROR_HANDLE
    mov hCon,eax
    .if eax == 0
        Invoke StdOut,SADD("Unable to retrieve console information.")
        jmp _exit
    .endif
    invoke LoadLibrary,ADDR szKernel
    mov hLib,eax
    invoke GetProcAddress,hLib,ADDR szSetCFont
    mov lpSetCFont,eax
    invoke GetProcAddress,hLib,ADDR szGetNumFonts
    mov lpGetNumFonts,eax
    invoke FreeLibrary,hLib	
    call lpGetNumFonts
    mov numFonts,eax

    print chr$("Number of aviable fonts:")
    mov eax,numFonts
    add eax,1
    print ustr$(eax)
    print chr$(13,10,13,10)

@@:
    push numFonts
    push hCon
    call lpSetCFont
	
    print chr$("Console font set to font number: ")
    mov eax,numFonts
    add eax,1    
    print ustr$(eax)
    print ADDR CRLF
    invoke Sleep,500
    sub numFonts,1
    js _exit
    jmp @B

_exit:
    print ADDR CRLF
    Get_Input Msg,inbuf
	
    ret
Main EndP

End Start
